use std::path::PathBuf;

#[derive(Clone, Copy, Debug)]
pub struct FsUser(pub u32);

impl FsUser {
    pub fn home_dir(&self) -> PathBuf {
        PathBuf::from(format!("./data/files/{}", self.0))
    }
    pub fn upload_dir(&self) -> PathBuf {
        PathBuf::from(format!("./data/upload/{}", self.0))
    }
}
