use webdav_handler::fs::DavFileSystem;

#[derive(Clone)]
pub struct UploadFs {}

impl DavFileSystem for UploadFs {
    fn open<'a>(
        &'a self,
        path: &'a webdav_handler::davpath::DavPath,
        options: webdav_handler::fs::OpenOptions,
    ) -> webdav_handler::fs::FsFuture<Box<dyn webdav_handler::fs::DavFile>> {
        todo!()
    }

    fn read_dir<'a>(
        &'a self,
        path: &'a webdav_handler::davpath::DavPath,
        meta: webdav_handler::fs::ReadDirMeta,
    ) -> webdav_handler::fs::FsFuture<
        webdav_handler::fs::FsStream<Box<dyn webdav_handler::fs::DavDirEntry>>,
    > {
        todo!()
    }

    fn metadata<'a>(
        &'a self,
        path: &'a webdav_handler::davpath::DavPath,
    ) -> webdav_handler::fs::FsFuture<Box<dyn webdav_handler::fs::DavMetaData>> {
        todo!()
    }

    fn symlink_metadata<'a>(
        &'a self,
        path: &'a webdav_handler::davpath::DavPath,
    ) -> webdav_handler::fs::FsFuture<Box<dyn webdav_handler::fs::DavMetaData>> {
        self.metadata(path)
    }

    fn create_dir<'a>(
        &'a self,
        path: &'a webdav_handler::davpath::DavPath,
    ) -> webdav_handler::fs::FsFuture<()> {
        todo!()
    }

    fn remove_dir<'a>(
        &'a self,
        path: &'a webdav_handler::davpath::DavPath,
    ) -> webdav_handler::fs::FsFuture<()> {
        todo!()
    }

    fn remove_file<'a>(
        &'a self,
        path: &'a webdav_handler::davpath::DavPath,
    ) -> webdav_handler::fs::FsFuture<()> {
        todo!()
    }

    fn rename<'a>(
        &'a self,
        from: &'a webdav_handler::davpath::DavPath,
        to: &'a webdav_handler::davpath::DavPath,
    ) -> webdav_handler::fs::FsFuture<()> {
        todo!()
    }

    fn copy<'a>(
        &'a self,
        from: &'a webdav_handler::davpath::DavPath,
        to: &'a webdav_handler::davpath::DavPath,
    ) -> webdav_handler::fs::FsFuture<()> {
        todo!()
    }

    fn have_props<'a>(
        &'a self,
        path: &'a webdav_handler::davpath::DavPath,
    ) -> std::pin::Pin<Box<dyn futures::prelude::Future<Output = bool> + Send + 'a>> {
        Box::pin(futures::prelude::future::ready(false))
    }

    fn patch_props<'a>(
        &'a self,
        path: &'a webdav_handler::davpath::DavPath,
        patch: Vec<(bool, webdav_handler::fs::DavProp)>,
    ) -> webdav_handler::fs::FsFuture<Vec<(axum::http::StatusCode, webdav_handler::fs::DavProp)>>
    {
        todo!()
    }

    fn get_props<'a>(
        &'a self,
        path: &'a webdav_handler::davpath::DavPath,
        do_content: bool,
    ) -> webdav_handler::fs::FsFuture<Vec<webdav_handler::fs::DavProp>> {
        todo!()
    }

    fn get_prop<'a>(
        &'a self,
        path: &'a webdav_handler::davpath::DavPath,
        prop: webdav_handler::fs::DavProp,
    ) -> webdav_handler::fs::FsFuture<xmltree::Element> {
        todo!()
    }

    fn get_quota(&self) -> webdav_handler::fs::FsFuture<(u64, Option<u64>)> {
        todo!()
    }
}
